## pycorrfit 1.1.7+dfsg

=== docs/requirements.txt ===
mock
sphinx>=1.6.4
sphinxcontrib.bibtex
sphinx_rtd_theme

## pycorrfit 0.8.1

=== debian/changelog ===
pycorrfit (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 06 Jan 2014 15:23:51 +0100

pycorrfit (0.8.0-2~beta-2) unstable; urgency=medium

  * d/control: add missing dependencies for LaTex plots

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 06 Jan 2014 15:05:32 +0100

pycorrfit (0.8.0-2~beta-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]

  * Initial release. (Closes: #730640)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 28 Nov 2013 17:11:15 +0100

=== debian/control ===
Source: pycorrfit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7),
 dh-python, python-setuptools,
 texlive-latex-base,
 texlive-extra-utils,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-science,
 latex-xcolor,
 imagemagick,
 librsvg2-bin,
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/pycorrfit.git
Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
Homepage: http://paulmueller.github.io/PyCorrFit/

Package: pycorrfit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, 
 python-scipy, 
 python-wxtools,
 python-numpy,
 python-sympy,
 python-yaml,
 dvipng,
 ghostscript,
 texlive-latex-base,
 texlive-math-extra, 
 texlive-science,
Description: tool for fitting correlation curves on a logarithmic plot
 PyCorrFit is a general-purpose FCS evaluation software that,
 amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs 
 file format. PyCorrFit comes with several built-in model functions, 
 covering a wide range of applications in standard confocal FCS. 
 In addition, it contains equations dealing with different excitation 
 geometries like total internal reflection (TIR).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

TEXDOC=PyCorrFit_doc.tex
DOCDIR=doc-src
PDF=PyCorrFit_doc.pdf
pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	cd $(DOCDIR) && pdflatex $(TEXDOC)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyCorrFit_icon.svg debian/pycorrfit.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/pycorrfit.xpm \
		debian/$(pkg)/usr/share/pixmaps

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycorrfit-$1\.tar\.gz/ \
  https://github.com/paulmueller/PyCorrFit/tags .*/v?(\d\S*)\.tar\.gz

## pycorrfit 0.8.3

=== debian/changelog ===
pycorrfit (0.8.3-2) unstable; urgency=medium

  [ Andreas Tille ]
  * debhelper 9
  * cme fix dpkg-control
  * Use wxpy30-update to create a patch that enables wxpython3.0
    Closes: #759070

  [ Alexandre Mestiashvili ]
  * d/patches/fix_python_path.patch: adjust path to module location

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2014 14:53:28 +0200

pycorrfit (0.8.3-1) unstable; urgency=medium

  * Imported Upstream version 0.8.3
  * d/rules: do not compress example sessions and external model functions
    force 644 permissions for the files in the examples dir
  * d/control: move python-sympy to Recommends:

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 15 Apr 2014 10:38:30 +0200

pycorrfit (0.8.2-2) unstable; urgency=medium

  * d/control: Recommneds: add texlive-latex-base, i
    remove ghostscript - dep of dvipng, remove texlive-science
  * d/rules: add one more pass of pdflatex for the tex source
  * d/pycorrfit.install: copy sample_session to examples

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 25 Mar 2014 11:06:09 +0100

pycorrfit (0.8.2-1) unstable; urgency=medium

  * Imported Upstream version 0.8.2
  * d/control: add texlive-bibtex-extra to Build-Depends:
     removed: texlive-latex-base, as it is installed as dependency anyway
     added python-wxgtk2.8 to Depends:
     moved optional latex dependencies to Recommended:
  * d/rules: more specific rules for the tex source

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 18 Feb 2014 16:14:31 +0100

=== debian/control ===
Source: pycorrfit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: python-all,
               debhelper (>= 9),
               dh-python,
               python-setuptools,
               texlive-latex-extra,
               texlive-extra-utils,
               texlive-bibtex-extra,
               texlive-fonts-recommended,
               texlive-science,
               latex-xcolor,
               imagemagick,
               librsvg2-bin
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
Homepage: http://paulmueller.github.io/PyCorrFit

Package: pycorrfit
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-matplotlib,
         python-scipy,
         python-wxgtk3.0,
         python-numpy,
         python-yaml
Recommends: python-sympy,
            dvipng,
            texlive-latex-base,
            texlive-math-extra
Description: tool for fitting correlation curves on a logarithmic plot
 PyCorrFit is a general-purpose FCS evaluation software that,
 amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs 
 file format. PyCorrFit comes with several built-in model functions, 
 covering a wide range of applications in standard confocal FCS. 
 In addition, it contains equations dealing with different excitation 
 geometries like total internal reflection (TIR).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

TEXDOC=PyCorrFit_doc.tex
BIBDOC=PyCorrFit_doc.aux
DOCDIR=doc-src
PDF=PyCorrFit_doc.pdf
pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	cd $(DOCDIR) && bibtex $(BIBDOC)
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyCorrFit_icon.svg debian/pycorrfit.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/pycorrfit.xpm \
		debian/$(pkg)/usr/share/pixmaps
	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/external_model_functions/

override_dh_compress:
	dh_compress -Xsample_sessions -Xexternal_model_functions

## pycorrfit 0.8.8+dfsg

=== debian/changelog ===
pycorrfit (0.8.8+dfsg-1) unstable; urgency=medium

  * d/control: add new Build-Dependencies, set Architecture to any
  * d/rules: new doc dir, avoid pdf download during clean,
     new get-orig-source target, remove duplicated LICENSE file
  * d/watch: add +dfsg suffix
  * d/copyright: add Files-Excluded section
  * d/patches: deleted 
  * d/get-orig-source: deleted
  * d/pycorrfit.pyremove: remove, as we need the egg-info directory 
  * d/source/options: ignore generated files
  * Imported Upstream version 0.8.8+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 29 May 2015 18:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,18 @@
                texlive-science,
                latex-xcolor,
                imagemagick,
-               librsvg2-bin
-Standards-Version: 3.9.5
+               librsvg2-bin,
+               cython,
+               python-numpy,
+               libpython2.7-dev
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
 Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
 Homepage: http://paulmueller.github.io/PyCorrFit
 
 Package: pycorrfit
-Architecture: all
-Depends: ${misc:Depends},
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
          ${python:Depends},
          python-matplotlib,
          python-scipy,

## pycorrfit 0.9.5+dfsg

=== debian/changelog ===
pycorrfit (0.9.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 06 Jan 2016 14:24:06 +0100

pycorrfit (0.9.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.4+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 14 Dec 2015 10:17:05 +0100

pycorrfit (0.9.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.3+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 03 Dec 2015 16:01:37 +0100

pycorrfit (0.9.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2+dfsg
  * debian/copyright: add fitting_methods.py to copyright stanza

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 06 Nov 2015 14:00:13 +0100

pycorrfit (0.9.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1+dfsg
  * d/pycorrfit.menu: deleted because the .desktop file is present

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 26 Oct 2015 15:40:49 +0100

=== debian/control ===
Source: pycorrfit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: cython,
               debhelper (>= 9),
               dh-python,
               imagemagick,
               latex-xcolor,
               libpython2.7-dev,
               librsvg2-bin,
               python-all,
               python-lmfit (>= 0.9.2),
               python-numpy,
               python-setuptools,
               texlive-bibtex-extra,
               texlive-extra-utils,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-science
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
Homepage: http://paulmueller.github.io/PyCorrFit

Package: pycorrfit
Architecture: any
Depends: python-matplotlib,
         python-numpy,
         python-scipy,
         python-wxgtk3.0,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: dvipng, python-sympy, texlive-latex-base, texlive-math-extra
Description: tool for fitting correlation curves on a logarithmic plot
 PyCorrFit is a general-purpose FCS evaluation software that,
 amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs
 file format. PyCorrFit comes with several built-in model functions,
 covering a wide range of applications in standard confocal FCS.
 In addition, it contains equations dealing with different excitation
 geometries like total internal reflection (TIR).

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,19 @@
 #!/usr/bin/make -f
 
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 TEXDOC=PyCorrFit_doc.tex
 BIBDOC=PyCorrFit_doc.aux
-DOCDIR=doc-src
+DOCDIR=doc
 PDF=PyCorrFit_doc.pdf
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+pkg := $(shell dpkg-parsechangelog --show-field=Source)
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	touch doc/PyCorrFit_doc.pdf
+	dh_auto_clean
 
 override_dh_auto_build:
 	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
@@ -22,6 +26,7 @@
 	dh_auto_build
 
 override_dh_install:
+	rm --verbose $(CURDIR)/debian/$(pkg)/usr/lib/python2.7/dist-packages/pycorrfit/readfiles/read_pt3_scripts/LICENSE
 	dh_install
 	mv debian/pycorrfit.xpm \
 		debian/$(pkg)/usr/share/pixmaps
@@ -29,3 +34,6 @@
 
 override_dh_compress:
 	dh_compress -Xsample_sessions -Xexternal_model_functions
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycorrfit-$1\.tar\.gz/,dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg \
  https://github.com/paulmueller/PyCorrFit/tags .*/v?(\d\S*)\.tar\.gz

## pycorrfit 0.9.9+dfsg

=== debian/changelog ===
pycorrfit (0.9.9+dfsg-2) unstable; urgency=medium

  * Recommends: s/texlive-math-extra/texlive-science/
    Closes: #864226

 -- Andreas Tille <tille@debian.org>  Mon, 05 Jun 2017 18:24:28 +0200

pycorrfit (0.9.9+dfsg-1) unstable; urgency=medium

  * Drop get-orig-source target
  * Imported Upstream version 0.9.8+dfsg
  * Add python-pytest-runner to Build-Depends
  * Apply cme fix dpkg
  * Enable hardening=+bindnow
  * Update copyright years, remove non-existing excluded file
  * Imported Upstream version 0.9.9+dfsg
  * drop patch fixing pdf documentation, remove empty d/patches
  * Disable tests for now

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 24 Jun 2016 13:18:50 +0200

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,20 @@
                python-all,
                python-lmfit (>= 0.9.2),
                python-numpy,
+               python-pytest,
+               python-pytest-runner,
                python-setuptools,
+               python-simplejson,
+               python-urllib3,
+               python-yaml,
                texlive-bibtex-extra,
                texlive-extra-utils,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
-Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pycorrfit.git
 Homepage: http://paulmueller.github.io/PyCorrFit
 
 Package: pycorrfit
@@ -35,7 +40,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: dvipng, python-sympy, texlive-latex-base, texlive-math-extra
+Recommends: dvipng, python-sympy, texlive-latex-base, texlive-science
 Description: tool for fitting correlation curves on a logarithmic plot
  PyCorrFit is a general-purpose FCS evaluation software that,
  amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+BINDNOW
+export PYBUILD_NAME=pycorrfit
+export PYBUILD_TEST_PYTEST=0
 
 TEXDOC=PyCorrFit_doc.tex
 BIBDOC=PyCorrFit_doc.aux
@@ -34,6 +36,3 @@
 
 override_dh_compress:
 	dh_compress -Xsample_sessions -Xexternal_model_functions
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycorrfit-$1\.tar\.gz/,dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg,repack \
  https://github.com/paulmueller/PyCorrFit/tags .*/v?(\d\S*)\.tar\.gz

## pycorrfit 1.0.0+dfsg

=== debian/changelog ===
pycorrfit (1.0.0+dfsg-1build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:22 +0000

pycorrfit (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4
  * update Build-Depends from latex-xcolor to texlive-latex-recommended
    Closes: #865244
  * d/rules: make use of DEB_SOURCE
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 10:12:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Section: python
 Priority: optional
 Build-Depends: cython,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
                imagemagick,
-               latex-xcolor,
                libpython2.7-dev,
                librsvg2-bin,
                python-all,
@@ -23,9 +22,10 @@
                texlive-bibtex-extra,
                texlive-extra-utils,
                texlive-fonts-recommended,
+               texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pycorrfit.git
 Homepage: http://paulmueller.github.io/PyCorrFit

## pycorrfit 1.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: cython,
                debhelper (>= 10),
                dh-python,
+               faketime,
                imagemagick,
                libpython2.7-dev,
                librsvg2-bin,
@@ -25,10 +26,10 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pycorrfit.git
-Homepage: http://paulmueller.github.io/PyCorrFit
+Homepage: http://fcs-analysis.github.io/PyCorrFit/
 
 Package: pycorrfit
 Architecture: any
@@ -40,7 +41,10 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: dvipng, python-sympy, texlive-latex-base, texlive-science
+Recommends: dvipng,
+            python-sympy,
+            texlive-latex-base,
+            texlive-science
 Description: tool for fitting correlation curves on a logarithmic plot
  PyCorrFit is a general-purpose FCS evaluation software that,
  amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs

## pycorrfit 1.0.1+dfsg

=== debian/changelog ===
pycorrfit (1.0.1+dfsg-1) unstable; urgency=medium

  * Update d/source/options to exclude _version_save.py rubbish
  * Update Files-Excludes list in d/copyright
  * New upstream version 1.0.1+dfsg
  * Bump Standards-Version to 4.1.0
  * Add patch fixing GUI start issue

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 06 Sep 2017 14:34:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: cython,
                debhelper (>= 10),
                dh-python,
-               faketime,
                imagemagick,
                libpython2.7-dev,
                librsvg2-bin,
@@ -26,10 +25,10 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 4.1.1
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pycorrfit.git
-Homepage: http://fcs-analysis.github.io/PyCorrFit/
+Homepage: http://paulmueller.github.io/PyCorrFit
 
 Package: pycorrfit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 export PYBUILD_NAME=pycorrfit
 export PYBUILD_TEST_PYTEST=0
 
+include /usr/share/dpkg/pkg-info.mk
+
 TEXDOC=PyCorrFit_doc.tex
 BIBDOC=PyCorrFit_doc.aux
 DOCDIR=doc
 PDF=PyCorrFit_doc.pdf
-pkg := $(shell dpkg-parsechangelog --show-field=Source)
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
@@ -28,11 +29,11 @@
 	dh_auto_build
 
 override_dh_install:
-	rm --verbose $(CURDIR)/debian/$(pkg)/usr/lib/python2.7/dist-packages/pycorrfit/readfiles/read_pt3_scripts/LICENSE
+	find $(CURDIR)/debian/$() -name LICENSE -delete
 	dh_install
 	mv debian/pycorrfit.xpm \
-		debian/$(pkg)/usr/share/pixmaps
-	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/external_model_functions/
+		debian/$(DEB_SOURCE)/usr/share/pixmaps
+	chmod -R 644 debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/external_model_functions/
 
 override_dh_compress:
 	dh_compress -Xsample_sessions -Xexternal_model_functions

## pycorrfit 1.1.5+dfsg

=== debian/changelog ===
pycorrfit (1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.5+dfsg
  * Drop patch applied by upstream

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 11 Dec 2018 09:30:01 +0000

pycorrfit (1.1.4+dfsg-3) unstable; urgency=medium

  * Add patch tex_pkg_order.patch, thanks to Hilmar Preuße. Closes: #914729
  * d/rules:
    - respect nocheck in DEB_BUILD_OPTIONS
    - run latex, bibtex, latex, latex mantra sequentially in order to build
      bibliography

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 27 Nov 2018 21:33:04 +0000

pycorrfit (1.1.4+dfsg-2) unstable; urgency=medium

  * Remove libpython3-all-dev, Closes: #910750

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 11 Oct 2018 12:16:14 +0000

pycorrfit (1.1.4+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * upstream/metadata RRID->SciCrunch

  [ Andreas Tille ]
  * Remove invalid fields

  [ Alexandre Mestiashvili ]
  * Add .readthedocs.yml to Files-Excluded list
  * New upstream version 1.1.1+dfsg
  * New upstream version 1.1.4+dfsg
  * d/control:
    - bump policy to 4.2.1, debhelper to 11
    - update VCS headers to point to salsa
    - update uploaders email
    - switch to python3
    - add python3-dev, python3-wxgtk4.0, python3-matplotlib,
          python3-simplejson, libpython3-all-dev
    - use ${python3:Depends}, drop libpython2.7-dev
  * Update d/rules:
    - --with python3
    - don't install modules as public pmodules
      use PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/pycorrfit
    - exclude __pycache and pyc files with dh_install
    - remove README from modules dir
    - move and symlink pycorrfit script
    - archive and install tests to examples
  * Update d/source/options to ignore pycorrfit/_version_save.py
  * Drop obsoleted patch fix_entry_point_for_gui.patch
  * Update copyright, add new files
  * Add autopkgtests, skip tests requiring network access

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 27 Sep 2018 07:42:33 +0000

pycorrfit (1.0.1+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added publication
    - Added notion of all registries yet lacking this software

  [ Alexandre Mestiashvili ]
  * Update homepage url in d/control
  * Add faketime to Build-Depends, bump Standards-Version to 4.1.1
  * Update d/rules, make build reproducible

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 02 Oct 2017 15:25:16 +0200

=== debian/control ===
Source: pycorrfit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 11),
               dh-python,
               faketime,
               imagemagick,
               librsvg2-bin,
               python3-dev,
               python3-lmfit (>= 0.9.2),
               python3-matplotlib,
               python3-numpy,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-simplejson,
               python3-urllib3,
               python3-wxgtk4.0,
               python3-yaml,
               texlive-bibtex-extra,
               texlive-extra-utils,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-science
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/pycorrfit
Vcs-Git: https://salsa.debian.org/med-team/pycorrfit.git
Homepage: http://fcs-analysis.github.io/PyCorrFit/

Package: pycorrfit
Architecture: any
Depends: python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-simplejson,
         python3-sympy,
         python3-wxgtk4.0,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: dvipng, texlive-latex-base, texlive-science
Description: tool for fitting correlation curves on a logarithmic plot
 PyCorrFit is a general-purpose FCS evaluation software that,
 amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs
 file format. PyCorrFit comes with several built-in model functions,
 covering a wide range of applications in standard confocal FCS.
 In addition, it contains equations dealing with different excitation
 geometries like total internal reflection (TIR).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+BINDNOW
export PYBUILD_NAME=pycorrfit
export PYBUILD_TEST_PYTEST=1
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
        export PYBUILD_TEST_PYTEST=0
endif
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
# see https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" -d "$(DEB_DATE_RFC_2822)")

include /usr/share/dpkg/pkg-info.mk

TEXDOC = PyCorrFit_doc.tex
BIBDOC = PyCorrFit_doc.aux
DOCDIR = doc
PDF = PyCorrFit_doc.pdf
PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	touch doc/PyCorrFit_doc.pdf
	dh_auto_clean

override_dh_auto_build:
	cd $(DOCDIR) && \
	$(FAKETIME) $(PDFLATEX) && \
	bibtex $(BIBDOC) && \
	$(FAKETIME) $(PDFLATEX) && \
	$(FAKETIME) $(PDFLATEX)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyCorrFit_icon.svg debian/pycorrfit.xpm
	dh_auto_build

override_dh_install:
	dh_install -X__pycache__ -X.*pyc
	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/pycorrfit \
           $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pycorrfit_run
	cd $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/; \
        ln -s ../lib/$(DEB_SOURCE)/pycorrfit_run pycorrfit; cd -
	mv debian/pycorrfit.xpm \
		debian/$(DEB_SOURCE)/usr/share/pixmaps
	chmod -R 644 debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/external_model_functions/
	rm -vf $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pycorrfit/readfiles/read_pt3_scripts/README

override_dh_compress:
	dh_compress -Xsample_sessions -Xexternal_model_functions

override_dh_installexamples:
	tar --sort=name \
            --mtime="@${SOURCE_DATE_EPOCH}" \
            --owner=root --group=root --numeric-owner \
            --mode=go=rX,u+rw,a-s \
            -cJf $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/tests.tar.xz  tests/
	dh_installexamples

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycorrfit-$1\.tar\.gz/,dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg,repack \
  https://github.com/paulmueller/PyCorrFit/tags .*/v?(\d\S*)\.tar\.gz

## pycorrfit 1.1.6+dfsg

=== debian/changelog ===
pycorrfit (1.1.6+dfsg-1) unstable; urgency=medium

  * Update d/watch, normalize upstream version from d/changelog
  * New upstream version 1.1.6+dfsg
  * Bump Policy to 4.4.0
  * Add X-Python3-Version: >= 3.6 to d/control
  * Use debhelper-compat, drop d/compat

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 11 Jul 2019 21:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-python,
                faketime,
                imagemagick,
@@ -27,10 +27,11 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/pycorrfit
 Vcs-Git: https://salsa.debian.org/med-team/pycorrfit.git
 Homepage: http://fcs-analysis.github.io/PyCorrFit/
+X-Python3-Version: >= 3.6
 
 Package: pycorrfit
 Architecture: any
@@ -44,7 +45,9 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: dvipng, texlive-latex-base, texlive-science
+Recommends: dvipng,
+            texlive-latex-base,
+            texlive-science
 Description: tool for fitting correlation curves on a logarithmic plot
  PyCorrFit is a general-purpose FCS evaluation software that,
  amongst other formats, supports the established Zeiss ConfoCor3 ~.fcs

## pycorrfit 1.1.7+dfsg

=== debian/changelog ===
pycorrfit (1.1.7+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop unneeded versioned Depends
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix LaTeX issue
    Closes: #1016346
  * Fix dh_fixperms

 -- Andreas Tille <tille@debian.org>  Fri, 05 Aug 2022 15:48:45 +0200

pycorrfit (1.1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Do not parse d/changelog
  * Drop ancient X-Python-Version field
  * Use secure URI in Homepage field.

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Dec 2019 14:19:32 +0100

pycorrfit (1.1.6+dfsg-4) unstable; urgency=medium

  * Fix typo in d/rules, skip tests only on s390x

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 19 Sep 2019 16:12:39 +0200

pycorrfit (1.1.6+dfsg-3) unstable; urgency=medium

  * Skip build-tests on s390x, failing on a buildd, passing on a porter box

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 19 Sep 2019 10:45:39 +0200

pycorrfit (1.1.6+dfsg-2) unstable; urgency=medium

  * No change source-only upload, trigger rebuild on buildd

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 09 Sep 2019 13:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                faketime,
                imagemagick,
                librsvg2-bin,
                python3-dev,
-               python3-lmfit (>= 0.9.2),
+               python3-lmfit,
                python3-matplotlib,
                python3-numpy,
                python3-pytest,
@@ -27,11 +27,11 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pycorrfit
 Vcs-Git: https://salsa.debian.org/med-team/pycorrfit.git
-Homepage: http://fcs-analysis.github.io/PyCorrFit/
-X-Python3-Version: >= 3.6
+Homepage: https://fcs-analysis.github.io/PyCorrFit/
+Rules-Requires-Root: no
 
 Package: pycorrfit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,15 @@
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
         export PYBUILD_TEST_PYTEST=0
 endif
+
+include /usr/share/dpkg/architecture.mk
+ifeq ($(DEB_HOST_ARCH),s390x)
+        export PYBUILD_TEST_PYTEST=0
+endif
+
 export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
 # see https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
+include /usr/share/dpkg/default.mk
 DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
 DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" -d "$(DEB_DATE_RFC_2822)")
 
@@ -27,6 +34,13 @@
 override_dh_auto_clean:
 	touch doc/PyCorrFit_doc.pdf
 	dh_auto_clean
+	rm -f PyCorrFit_doc.pdf
+	rm -f doc/PyCorrFit_doc.aux doc/PyCorrFit_doc.bbl doc/PyCorrFit_doc.blg doc/PyCorrFit_doc.log doc/PyCorrFit_doc.out doc/PyCorrFit_doc.pdf doc/PyCorrFit_doc.synctex.gz doc/PyCorrFit_doc.toc doc/PyCorrFit_doc_content.aux
+	rm -rf pycorrfit.egg-info/
+	rm -f pycorrfit/_version_save.py
+	rm -f pycorrfit/readfiles/read_pt3_scripts/fib4.c
+	rm -rf .pytest_cache
+
 
 override_dh_auto_build:
 	cd $(DOCDIR) && \
@@ -47,8 +61,11 @@
         ln -s ../lib/$(DEB_SOURCE)/pycorrfit_run pycorrfit; cd -
 	mv debian/pycorrfit.xpm \
 		debian/$(DEB_SOURCE)/usr/share/pixmaps
-	chmod -R 644 debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/external_model_functions/
 	rm -vf $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pycorrfit/readfiles/read_pt3_scripts/README
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples -type f -name "*.txt" -exec chmod 644 \{\} \;
 
 override_dh_compress:
 	dh_compress -Xsample_sessions -Xexternal_model_functions

## pycorrfit 1.1.7+nopack

=== debian/changelog ===
pycorrfit (1.1.7+nopack-3) unstable; urgency=medium

  * Team upload.
  * skip-test_fit_single_parameter-on-mips.patch: new.
    This change works around test failures on misp64el. (Closes: #1095798)

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Feb 2025 13:02:54 +0100

pycorrfit (1.1.7+nopack-2) unstable; urgency=medium

  * Team upload.
  * Add missing call to dh_numpy3 to d/rules (Closes: #1095281).

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Feb 2025 02:09:05 +1100

pycorrfit (1.1.7+nopack-1) unstable; urgency=medium

  * Team upload.

  [ Bo YU]
  * Add python3-zombie-imp to workaround to fix ftbfs.
   (Closes: #1074222). Thanks Andreas Tille and Alexandre Detiste.
  * Remove usr/pycorrfit_doc/ dir and copy PyCorrFit_doc.pdf to
    /share/doc

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Michael R. Crusoe ]
  * Added d/clean, simplified d/rules.
  * d/patches/distutils: replace the deprecated "distutils" package
  * d/patches/python3: fix a few python[^3] references
  * Deleted r/README.Debian, it is out of date. The docs are in the
    regular location: /usr/share/doc/pycorrfit/
  * d/watch: switch to PyPI to get the correct _version_save
  * d/copyright: no longer need to exclude any files
  * d/{rules,pycorrfit.install}: alas this means that the
    sample_sessions are no longer included.
  * d/control: fix homepage
  * d/clean: Don't delete pycorrfit/_version_save.py now that we get
    that in the sdist from PyPI.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Jul 2024 11:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                faketime,
                imagemagick,
                librsvg2-bin,
@@ -26,11 +26,12 @@
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
-               texlive-science
-Standards-Version: 4.6.1
+               texlive-science,
+               python3-zombie-imp,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/pycorrfit
 Vcs-Git: https://salsa.debian.org/med-team/pycorrfit.git
-Homepage: https://fcs-analysis.github.io/PyCorrFit/
+Homepage: https://pycorrfit.readthedocs.io/
 Rules-Requires-Root: no
 
 Package: pycorrfit

=== debian/rules ===
--- 
+++ 
@@ -29,20 +29,12 @@
 FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild --with numpy3
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	touch doc/PyCorrFit_doc.pdf
-	dh_auto_clean
-	rm -f PyCorrFit_doc.pdf
-	rm -f doc/PyCorrFit_doc.aux doc/PyCorrFit_doc.bbl doc/PyCorrFit_doc.blg doc/PyCorrFit_doc.log doc/PyCorrFit_doc.out doc/PyCorrFit_doc.pdf doc/PyCorrFit_doc.synctex.gz doc/PyCorrFit_doc.toc doc/PyCorrFit_doc_content.aux
-	rm -rf pycorrfit.egg-info/
-	rm -f pycorrfit/_version_save.py
-	rm -f pycorrfit/readfiles/read_pt3_scripts/fib4.c
-	rm -rf .pytest_cache
 
-
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	cd $(DOCDIR) && \
 	$(FAKETIME) $(PDFLATEX) && \
 	bibtex $(BIBDOC) && \
@@ -51,7 +43,6 @@
 	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
 	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
 		$(DOCDIR)/Images/PyCorrFit_icon.svg debian/pycorrfit.xpm
-	dh_auto_build
 
 override_dh_install:
 	dh_install -X__pycache__ -X.*pyc
@@ -63,17 +54,20 @@
 		debian/$(DEB_SOURCE)/usr/share/pixmaps
 	rm -vf $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pycorrfit/readfiles/read_pt3_scripts/README
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_install:
+	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/pycorrfit_doc/PyCorrFit_doc.pdf \
+	   $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/pycorrfit
+	rm -rf $(CURDIR)/debian/$(DEB_SOURCE)/usr/pycorrfit_doc
+
+execute_after_dh_fixperms:
 	find debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples -type f -name "*.txt" -exec chmod 644 \{\} \;
 
 override_dh_compress:
-	dh_compress -Xsample_sessions -Xexternal_model_functions
+	dh_compress -Xexternal_model_functions
 
-override_dh_installexamples:
+execute_before_dh_installexamples:
 	tar --sort=name \
             --mtime="@${SOURCE_DATE_EPOCH}" \
             --owner=root --group=root --numeric-owner \
             --mode=go=rX,u+rw,a-s \
             -cJf $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/tests.tar.xz  tests/
-	dh_installexamples

=== debian/tests/control ===
Tests: pycorrfit-autopkgtests
Restrictions: allow-stderr
Depends: @, python3-pytest, python3-zombie-imp

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/[\+~](nopack)(\.)?(\d+)?$// \
https://pypi.debian.net/pycorrfit/pycorrfit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
